libebook::PeanutPressAttributes Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libebook::PeanutPressAttributes Struct Reference

`#include <PeanutPressTypes.h>`

## Public Member Functions
| PeanutPressAttributes ()

## Public Attributes
bool | pageBreak
bool | chapter
bool | center
bool | right
bool | italic
bool | underline
bool | overstrike
bool | indent
unsigned | indentPercent
PeanutPressFontType | font
bool | bold
bool | superscript
bool | subscript
bool | smallcaps

## Constructor & Destructor Documentation

## ◆ PeanutPressAttributes()

libebook::PeanutPressAttributes::PeanutPressAttributes | ( |  | ) |

## Member Data Documentation

## ◆ bold

bool libebook::PeanutPressAttributes::bold

Referenced by PeanutPressAttributes().

## ◆ center

bool libebook::PeanutPressAttributes::center

Referenced by PeanutPressAttributes().

## ◆ chapter

bool libebook::PeanutPressAttributes::chapter

Referenced by PeanutPressAttributes().

## ◆ font

PeanutPressFontType libebook::PeanutPressAttributes::font

Referenced by PeanutPressAttributes().

## ◆ indent

bool libebook::PeanutPressAttributes::indent

Referenced by PeanutPressAttributes().

## ◆ indentPercent

unsigned libebook::PeanutPressAttributes::indentPercent

Referenced by PeanutPressAttributes().

## ◆ italic

bool libebook::PeanutPressAttributes::italic

Referenced by PeanutPressAttributes().

## ◆ overstrike

bool libebook::PeanutPressAttributes::overstrike

Referenced by PeanutPressAttributes().

## ◆ pageBreak

bool libebook::PeanutPressAttributes::pageBreak

Referenced by PeanutPressAttributes().

## ◆ right

bool libebook::PeanutPressAttributes::right

Referenced by PeanutPressAttributes().

## ◆ smallcaps

bool libebook::PeanutPressAttributes::smallcaps

Referenced by PeanutPressAttributes().

## ◆ subscript

bool libebook::PeanutPressAttributes::subscript

Referenced by PeanutPressAttributes().

## ◆ superscript

bool libebook::PeanutPressAttributes::superscript

Referenced by PeanutPressAttributes().

## ◆ underline

bool libebook::PeanutPressAttributes::underline

Referenced by PeanutPressAttributes().

The documentation for this struct was generated from the following files:

- PeanutPressTypes.h
- PeanutPressTypes.cpp